Bug 985997 - Network Configaration UI option is not available during text mode installation
Network Configaration UI option is not available during text mode installation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 13:26 EDT by IBM Bug Proxy
Modified: 2013-10-14 10:54 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-20.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 10:54:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 85549 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-07-18 13:26:36 EDT
-- Problem Description --
While installing Fedora18 Alpha in text mode on P7 Juno-IOC-L LPAR,Netweork Configuration user interface option is not availble  during the installtion. 

---Steps to reproduce---

1.Boot from Virtual DVD 
2.Boot with : boot: linux 
3.We are getting only the following options:

Install hub

 1) [ ] Timezone settings                 2) [ ] Install Destination
        (Timezone is not set.)                   (No disks selected)
 3) [ ] Set root password
        (Password is not set.)

Verified on F19 beta ppc64 with text mode installation , still there is no option for network configuration except below option available .


Elapsed time since release of system processors: 28261 mins 38 secs
Config file read, 213 bytes
Welcome to the 64-bit Fedora 19 installer!
Hit <TAB> for boot options
Welcome to yaboot version 1.3.17 (Red Hat 1.3.17-6.fc19)
Enter "help" to get some basic usage information
boot: linux
...
...
...
[  OK  ] Stopped Trigger Flushing of Journal to Persistent Storage.
         Stopping Journal Service...
Starting installer, one moment...
anaconda 19.30-1 for Fedora 19 (pre-release) started.
08:29:42 X startup failed, falling back to text mode
================================================================================
================================================================================
VNC

X was unable to start on your machine.  Would you like to start VNC to connect t
o this computer from another computer and perform a graphical installation or co
ntinue with a text mode installation?

 1) Start VNC

 2) Use text mode

  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]: 2
================================================================================
================================================================================

Installation

 1) [!] Installation source               2) [!] Timezone settings
        (Error setting up software sour          (Timezone is not set.)
        ce)                               4) [!] Create user
 3) [!] Install Destination                      (No user will be created)
        (No disks selected)               6) [!] Software selection
 5) [!] Set root password                        (Processing...)
        (Password is not set.)
  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]: 

Thanks...
Manas
Comment 1 Samantha N. Bueno 2013-07-18 13:52:00 EDT
Already aware, but thanks. Another option I'm close to posting for review.
Comment 2 Samantha N. Bueno 2013-08-21 16:54:59 EDT
Patches for this are on review.
Comment 3 Samantha N. Bueno 2013-08-27 15:06:04 EDT
Patches have been pushed, should be in anaconda-20.9-1.
Comment 4 Fedora End Of Life 2013-09-16 13:01:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 IBM Bug Proxy 2013-10-11 04:40:36 EDT
------- Comment From khusriva@in.ibm.com 2013-10-11 08:34 EDT-------
This bug is not getting reproduced in Fedora20
As we can see the network option will installing it through text mode installation.

1) [x] Installation source               2) [x] Timezone settings
(CD/DVD drive)                           (Europe/Amsterdam timezone)
3) [x] Install Destination               4) [x] Set root password
(Automatic partitioning selecte          (Password is set.)
d)                                6) [x] Software selection
5) [x] Create user                              (GNOME Desktop)
(No user will be created)
7) [x] Network settings
(Wired eth0 connected)
'r' to refresh]: 7
Network settings
Wired (eth0) connected
IPv4 Address:  Netmask:  Gateway:
DNS:
IPv6 Address: 2013:db8:1:0:d88a:7fff:fee1:f102/128

Hostname: dlpar-rhel

1)  Set hostname
2)  Configure device eth0
Device configuration

1) IPv4 address or "dhcp" for DHCP
dhcp
2) IPv4 netmask
3) IPv4 gateway
4) IPv6 address or "auto" for automatic, "dhcp" for DHCP, "ignore" to turn off
auto
5) IPv6 default gateway
6) Nameservers (comma separated)
7) [ ] Connect automatically after reboot
8) [ ] Apply configuration in installer
Configuring device eth0.

Please make your choice from above ['q' to quit | 'c' to continue |
'r' to refresh]: 1
Enter new value for 'IPv4 address or "dhcp" for DHCP' and press enter
9.3.192.131
================================================================================

Device configuration

1) IPv4 address or "dhcp" for DHCP
9.3.192.131
2) IPv4 netmask
3) IPv4 gateway
4) IPv6 address or "auto" for automatic, "dhcp" for DHCP, "ignore" to turn off
auto
5) IPv6 default gateway
6) Nameservers (comma separated)
7) [ ] Connect automatically after reboot
8) [ ] Apply configuration in installer
Configuring device eth0.

Please make your choice from above ['q' to quit | 'c' to continue |
'r' to refresh]: 2
================================================================================
Enter new value for 'IPv4 netmask' and press enter
255.255.255.0
================================================================================
1) IPv4 address or "dhcp" for DHCP
9.3.192.131
2) IPv4 netmask
255.255.255.0
3) IPv4 gateway
4) IPv6 address or "auto" for automatic, "dhcp" for DHCP, "ignore" to turn off
auto
5) IPv6 default gateway
6) Nameservers (comma separated)
7) [ ] Connect automatically after reboot
8) [ ] Apply configuration in installer
Configuring device eth0.

Please make your choice from above ['q' to quit | 'c' to continue |
'r' to refresh]: 3
================================================================================
Enter new value for 'IPv4 gateway' and press enter
9.3.192.1
================================================================================
Device configuration

1) IPv4 address or "dhcp" for DHCP
9.3.192.131
2) IPv4 netmask
255.255.255.0
3) IPv4 gateway
9.3.192.1
4) IPv6 address or "auto" for automatic, "dhcp" for DHCP, "ignore" to turn off
auto
5) IPv6 default gateway
6) Nameservers (comma separated)
7) [ ] Connect automatically after reboot
8) [ ] Apply configuration in installer
Configuring device eth0.

Please make your choice from above ['q' to quit | 'c' to continue |
'r' to refresh]: c

I think we can close this bug now.
Comment 6 IBM Bug Proxy 2013-10-11 04:50:58 EDT
------- Comment From iranna.ankad@in.ibm.com 2013-10-11 08:41 EDT-------
(In reply to comment #23)
> Khushboo, thanks for verifying this bug.

FYI, Fedora20 Alpha has below version of anaconda-20.18-1.fc20.ppc64.rpm, which already contains necessary fixes.
Comment 7 Gustavo Luiz Duarte 2013-10-14 10:54:46 EDT
Thanks Samantha.

Closing this bug as it seems to be fixed on Fedora 20 Alpha.

Note You need to log in before you can comment on or make changes to this bug.